.chatbox
    
    
/* messages */

.messages-wrapper
    padding: $gutter $gutter ($send-message-height + $gutter)
    max-width: 1000px
    margin: 0 auto

.chat-bubble
    display: flex
    align-items: flex-end
    margin-bottom: 20px
    width: max-content
    max-width: calc(100% - 50px)

.chat-bubble--avatar
    flex: 0 0 auto
    width: 60px
    height: 60px
    margin-right: 10px
    img
        display: block
        border-radius: 10px

.chat-bubble--message
    border-radius: 20px 20px 20px 0
    padding: $gutter
    background-color: var(--medium-gray)
    color: white

    .user-name, .date
        color: var(--gray)
        font-size: 0.85rem
    .user-name
        font-weight: bold
    .date
        margin-bottom: 0.75rem

    .actions
        display: flex
        align-items: center
        justify-content: flex-end
        margin: 0.5rem 0 0 auto
        display: flex
        align-items: center
    .action-btn
        transition: color 0.3s
        cursor: pointer
        color: var(--gray)
        font-size: 1.2em
        margin-right: 10px
        &:last-child
            margin-right: 0
        &:hover
            color: var(--accent-color)

    .delete-btn:hover
        color: var(--alert-color)

    .edited
        font-size: 0.8rem
        margin-right: auto
        text-transform: uppercase
        color: var(--gray)
        font-style: italic

.chat-bubble.right
    margin-left: auto
    .chat-bubble--avatar
        order: 2
        margin-right: 0
        margin-left: 10px
    .chat-bubble--message
        border-radius: 20px 20px 0 20px

.chat-bubble.edit-mode
    width: 100%
    max-width: none
    .chat-bubble--message
        flex: 1 1 auto


/* edit message form */

.edit-message-form
    display: flex

    input
        flex: 1 1 auto
        height: 40px
        padding: 10px
        background: white
        border: none
    .btn
        flex: 0 0 auto
        padding: 0
        width: 40px
        height: 40px
        .material-symbols
            margin: 0
            font-size: 1.6em
        &.cancel-btn
            border-top-right-radius: 0px
            border-bottom-right-radius: 0px
        &.edit-btn
            border-top-left-radius: 0px
            border-bottom-left-radius: 0px


/* send message */

.send-message
    position: fixed
    bottom: 0
    left: 0
    right: 0
    height: $send-message-height
    padding: 0 $gutter
    display: flex
    align-items: center
    z-index: 10
    background: var(--body-bg)

    input
        flex: 1 1 auto
        height: $send-message-input-height
        margin-right: ($gutter/2)
        border: none
        background: var(--medium-gray)
        color: white
        border-radius: ($send-message-input-height/2)
        padding: 0 ($send-message-input-height/2)

    .btn
        flex: 0 0 auto
        padding: 0
        height: $send-message-input-height
        width: $send-message-input-height
        border-radius: 50%
        .material-symbols
            transition: all 0.3s
            font-size: 2em
            margin: 0
        &:hover 
            opacity: 1
            .material-symbols
                transform: rotate(-30deg)
            
